complexType "Market"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | name?, benchmarkQuotes?, pricingStructure*, pricingStructureValuation*, benchmarkPricingMethod*
</...>

Content Model Elements (5):

  benchmarkPricingMethod, benchmarkQuotes, name (in market), | pricingStructure, pricingStructureValuation

All Direct / Indirect Based Elements (1):

  market

Known Usage Locations

- As direct type of elements (1):
  market

Annotation
A collection of pricing inputs.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="Market"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"/> <xsd:element minOccurs="0" name="benchmarkQuotes" type="QuotedAssetSet"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="pricingStructure"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="pricingStructureValuation"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="benchmarkPricingMethod" type="PricingMethod"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 5/5)
benchmarkPricingMethod

  Type: | PricingMethod, complex content

  The pricing structure used to quote a benchmark instrument.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="benchmarkPricingMethod" type="PricingMethod"/>

benchmarkQuotes

  Type: | QuotedAssetSet, complex content

  A collection of benchmark instruments and quotes used as inputs to the pricing models.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="benchmarkQuotes" type="QuotedAssetSet"/>

name

  Type: | xsd:string, predefined, simple content

  The name of the market, e.g. the USDLIBOR market. Used for description and understandability.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:string"/>

pricingStructure

  Type: | PricingStructure, complex content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 4 elements

  A collection of pricing inputs (curves, volatility matrices, etc.) used to represent the market.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="pricingStructure"/>

pricingStructureValuation

  Type: | PricingStructureValuation, complex content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 4 elements

  The values of the pricing structure used to represent the markets.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="pricingStructureValuation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.